Bug 1121745 - Review Request: php53-tcpdf - PHP class for generating PDF documents
Summary: Review Request: php53-tcpdf - PHP class for generating PDF documents
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: el5
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1121355
TreeView+ depends on / blocked
 
Reported: 2014-07-21 18:44 UTC by Robert Scheck
Modified: 2014-10-09 19:55 UTC (History)
2 users (show)

Fixed In Version: php53-tcpdf-6.0.091-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-09 19:55:57 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
diff.txt (4.43 KB, text/plain)
2014-09-17 12:25 UTC, Remi Collet
no flags Details

Description Robert Scheck 2014-07-21 18:44:08 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/php53-tcpdf.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/php53-tcpdf-6.0.089-1.src.rpm
Description: PHP class for generating PDF documents.

* no external libraries are required for the basic functions;
* all standard page formats, custom page formats, custom margins and units
  of measure;
* UTF-8 Unicode and Right-To-Left languages;
* TrueTypeUnicode, OpenTypeUnicode, TrueType, OpenType, Type1 and CID-0 fonts;
* font subsetting;
* methods to publish some XHTML + CSS code, Javascript and Forms;
* images, graphic (geometric figures) and transformation methods;
* supports JPEG, PNG and SVG images natively, all images supported by GD
  (GD, GD2, GD2PART, GIF, JPEG, PNG, BMP, XBM, XPM) and all images supported
  via ImagMagick (http: www.imagemagick.org/www/formats.html)
* 1D and 2D barcodes: CODE 39, ANSI MH10.8M-1983, USD-3, 3 of 9, CODE 93,
  USS-93, Standard 2 of 5, Interleaved 2 of 5, CODE 128 A/B/C, 2 and 5 Digits
  UPC-Based Extention, EAN 8, EAN 13, UPC-A, UPC-E, MSI, POSTNET, PLANET,
  RMS4CC (Royal Mail 4-state Customer Code), CBC (Customer Bar Code),
  KIX (Klant index - Customer index), Intelligent Mail Barcode, Onecode,
  USPS-B-3200, CODABAR, CODE 11, PHARMACODE, PHARMACODE TWO-TRACKS,
  Datamatrix ECC200, QR-Code, PDF417;
* ICC Color Profiles, Grayscale, RGB, CMYK, Spot Colors and Transparencies;
* automatic page header and footer management;
* document encryption up to 256 bit and digital signature certifications;
* transactions to UNDO commands;
* PDF annotations, including links, text and file attachments;
* text rendering modes (fill, stroke and clipping);
* multiple columns mode;
* no-write page regions;
* bookmarks and table of content;
* text hyphenation;
* text stretching and spacing (tracking/kerning);
* automatic page break, line break and text alignments including justification;
* automatic page numbering and page groups;
* move and delete pages;
* page compression (requires php-zlib extension);
* XOBject templates;
* PDF/A-1b (ISO 19005-1:2005) support.

By default, TCPDF uses the GD library which is know as slower than ImageMagick
solution. You can optionally install php-pecl-imagick; TCPDF will use it.

Fedora Account System Username: robert

Important: This package is intended for Fedora EPEL 5 only to satisfy a run-
time dependency of phpMyAdmin. It is actually a renamed copy of the existing
package with a few less changes for Fedora EPEL 5.

Comment 2 Remi Collet 2014-09-17 12:00:59 UTC
I was hoping someone else will review, this package... seems bad practice to review one of myspec... so will only review the change...

About
BuildRequires:  php-cli

Strangely is works... (and pull php53-cli)
I would have have prefer
  BuildRequires:  php-cli > 5.3
or 
  BuildRequires:  php53-cli


Minor issue in the inter-package dependencies.
In php53-tcpdf-gnufree*, missing
Requires:       %{name} = %{version}-%{release}

See http://pkgs.fedoraproject.org/cgit/php-tcpdf.git/commit/?id=7e768582a676e481024a96fe6ef2091fafef8c6c

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7603707

Installation test:
# yum --nogpgcheck localinstall /tmp/php53-tcpdf*
...
Installing:
 php53-tcpdf                               noarch                   6.0.091-1.el5.centos                   /php53-tcpdf-6.0.091-1.el5.centos.noarch
 php53-tcpdf-dejavu-lgc-sans-fonts         noarch                   6.0.091-1.el5.centos                   /php53-tcpdf-dejavu-lgc-sans-fonts-6.0.091-1.el5.centos.noarch
 php53-tcpdf-dejavu-lgc-sans-mono-fonts    noarch                   6.0.091-1.el5.centos                   /php53-tcpdf-dejavu-lgc-sans-mono-fonts-6.0.091-1.el5.centos.noarch
 php53-tcpdf-dejavu-lgc-serif-fonts        noarch                   6.0.091-1.el5.centos                   /php53-tcpdf-dejavu-lgc-serif-fonts-6.0.091-1.el5.centos.noarch
 php53-tcpdf-dejavu-sans-fonts             noarch                   6.0.091-1.el5.centos                   /php53-tcpdf-dejavu-sans-fonts-6.0.091-1.el5.centos.noarch
 php53-tcpdf-dejavu-sans-mono-fonts        noarch                   6.0.091-1.el5.centos                   /php53-tcpdf-dejavu-sans-mono-fonts-6.0.091-1.el5.centos.noarch
 php53-tcpdf-dejavu-serif-fonts            noarch                   6.0.091-1.el5.centos                   /php53-tcpdf-dejavu-serif-fonts-6.0.091-1.el5.centos.noarch
 php53-tcpdf-gnu-free-mono-fonts           noarch                   6.0.091-1.el5.centos                   /php53-tcpdf-gnu-free-mono-fonts-6.0.091-1.el5.centos.noarch
 php53-tcpdf-gnu-free-sans-fonts           noarch                   6.0.091-1.el5.centos                   /php53-tcpdf-gnu-free-sans-fonts-6.0.091-1.el5.centos.noarch
 php53-tcpdf-gnu-free-serif-fonts          noarch                   6.0.091-1.el5.centos                   /php53-tcpdf-gnu-free-serif-fonts-6.0.091-1.el5.centos.noarch
Installing for dependencies:
 dejavu-lgc-sans-fonts                     noarch                   2.33-4.el5                             epel
 dejavu-lgc-sans-mono-fonts                noarch                   2.33-4.el5                             epel
 dejavu-lgc-serif-fonts                    noarch                   2.33-4.el5                             epel
 dejavu-sans-mono-fonts                    noarch                   2.33-4.el5                             epel
 dejavu-serif-fonts                        noarch                   2.33-4.el5                             epel
 php53-bcmath                              x86_64                   5.3.3-23.el5_10                        updates
 php53-cli                                 x86_64                   5.3.3-23.el5_10                        updates
 php53-common                              x86_64                   5.3.3-23.el5_10                        updates
 php53-gd                                  x86_64                   5.3.3-23.el5_10                        updates
 php53-mbstring                            x86_64                   5.3.3-23.el5_10                        updates
 php53-mcrypt                              x86_64                   5.3.3-1.el5                            epel
 php53-tidy                                x86_64                   5.3.3-1.el5                            epel
 php53-xml                                 x86_64                   5.3.3-23.el5_10                        updates
...

So everything seems ok.
Just need to fix the inter-packages dependency.

Comment 3 Robert Scheck 2014-09-17 12:18:02 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/php53-tcpdf.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/php53-tcpdf-6.0.091-2.src.rpm

If you agree, I would like to merge my php53-tcpdf specific changes into
the regular php-tcpdf spec file thus maintaining the package gets easier;
actually that is 10 small %if sections plus the adapted build requires.

Comment 4 Remi Collet 2014-09-17 12:25:44 UTC
Created attachment 938452 [details]
diff.txt

=> diff -u /work/fedora/php-tcpdf/php-tcpdf.spec php53-tcpdf.spec

Comment 5 Remi Collet 2014-09-17 12:27:11 UTC
Everything is ok.

=== APPROVED === 

(In reply to Robert Scheck from comment #3)
> If you agree, I would like to merge my php53-tcpdf specific changes into
> the regular php-tcpdf spec file thus maintaining the package gets easier;
> actually that is 10 small %if sections plus the adapted build requires.

I'm fine with this merge.
Just do it (apply for ACL in rawhide if needed)

Comment 6 Robert Scheck 2014-09-17 12:37:32 UTC
New Package SCM Request
=======================
Package Name: php53-tcpdf
Short Description: PHP class for generating PDF documents and barcodes
Upstream URL: http://www.tcpdf.org
Owners: robert
Branches: el5
InitialCC:

Comment 7 Gwyn Ciesla 2014-09-17 13:10:42 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-09-17 19:34:35 UTC
php53-tcpdf-6.0.091-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php53-tcpdf-6.0.091-2.el5

Comment 9 Fedora Update System 2014-09-24 03:45:28 UTC
php53-tcpdf-6.0.091-2.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 10 Fedora Update System 2014-10-09 19:55:57 UTC
php53-tcpdf-6.0.091-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.